Bug 1302321 - During RDO packstack install Error: Could not set 'present' on ensure: uninitialized constant DEFAULT
During RDO packstack install Error: Could not set 'present' on ensure: uninit...
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-puppet-modules (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Emilien Macchi
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 08:41 EST by Eran Kuris
Modified: 2016-05-19 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1304009 (view as bug list)
Environment:
Last Closed: 2016-05-19 11:37:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
af (11.01 KB, text/plain)
2016-01-27 08:41 EST, Eran Kuris
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 273174 None None None 2016-01-27 12:59 EST

  None (edit)
Description Eran Kuris 2016-01-27 08:41:55 EST
Created attachment 1118786 [details]
af

Description of problem:
During RDO packstack installation I get this error : 
plying 10.35.187.248_neutron.pp
10.35.187.248_neutron.pp:                            [ DONE ]       
10.35.187.25_neutron.pp:                          [ ERROR ]         
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 10.35.187.25_neutron.pp
Error: Could not set 'present' on ensure: uninitialized constant DEFAULT at 7:/var/tmp/packstack/7af15bcc59ab44e79c497ed5199991b8/modules/neutron/manifests/plugins/ovs/port.pp
You will find full trace in log /var/tmp/packstack/20160127-070140-1InQxC/manifests/10.35.187.25_neutron.pp.log
Please check log file /var/tmp/packstack/20160127-070140-1InQxC/openstack-setup.log for more information
Additional information:
 * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
 * File /root/keystonerc_admin has been created on OpenStack client host 10.35.187.25. To use the command line tools you need to source the file.
 * To access the OpenStack Dashboard browse to http://10.35.187.25/dashboard .
Please, find your login credentials stored in the keystonerc_admin in your home directory.
 * To use Nagios, browse to http://10.35.187.25/nagios username: nagiosadmin, password: e3f9ab7d7a2f4a39

[root@rdo-td-mikata-391b42a4-2a4e-40b1-94e0-a8abfbba558b ~]# vi /var/tmp/packstack/7af15bcc59ab44e79c497ed5199991b8/modules/neutron/manifests/plugins/ovs/port.pp
[root@rdo-td-mikata-391b42a4-2a4e-40b1-94e0-a8abfbba558b ~]# vi /var/tmp/packstack/20160127-070140-1InQxC/manifests/10.35.187.25_neutron.pp.log
[root@rdo-td-mikata-391b42a4-2a4e-40b1-94e0-a8abfbba558b ~]# grep -i error /var/tmp/packstack/20160127-070140-1InQxC/manifests/10.35.187.25_neutron.pp.log
Error: NetworkManager is not running.
Error: Could not set 'present' on ensure: uninitialized constant DEFAULT at 7:/var/tmp/packstack/7af15bcc59ab44e79c497ed5199991b8/modules/neutron/manifests/plugins/ovs/port.pp
Error: Could not set 'present' on ensure: uninitialized constant DEFAULT at 7:/var/tmp/packstack/7af15bcc59ab44e79c497ed5199991b8/modules/neutron/manifests/plugins/ovs/port.pp
Error: /Stage[main]/Neutron::Agents::Ml2::Ovs/Neutron::Plugins::Ovs::Port[br-ex:eth1]/Vs_port[eth1]/ensure: change from absent to present failed: Could not set 'present' on ensure: uninitialized constant DEFAULT at 7:/var/tmp/packstack/7af15bcc59ab44e79c497ed5199991b8/modules/neutron/manifests/plugins/ovs/port.pp

After debug the issue found that this commit cause the problem
https://review.openstack.org/265005

Version-Release number of selected component (if applicable):
openstack-packstack-puppet-8.0.0-dev1741.g72faffe.el7.centos.noarch
openstack-puppet-modules-8.0.0a0-11.g927ae19.el7.centos.noarch
puppet-3.6.2-3.el7.noarch
openstack-packstack-8.0.0-dev1741.g72faffe.el7.centos.noarch


How reproducible:

always 
Steps to Reproduce:
1.Install RDO setup with packstack yo will get this error 
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Javier Peña 2016-01-27 09:53:44 EST
The error is happening when running Packstack and setting CONFIG_NEUTRON_OVS_BRIDGE_MAPPINGS and CONFIG_NEUTRON_OVS_BRIDGE_IFACES. After some investigation, it seems to be caused by https://review.openstack.org/265005 (puppet-vswitch change). Reverting that change allows the installation to finish successfully.
Comment 2 Javier Peña 2016-01-27 12:59:31 EST
Proposed https://review.openstack.org/273174 with a potential fix.
Comment 3 Mike McCune 2016-03-28 18:34:54 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Chandan Kumar 2016-05-19 11:37:48 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.